# Retrieve a product Retrieves detailed information about a specific product, including information about its product rate plans and charges. This operation returns a maximum of 300 product rate plans and 300 product rate plan charges across all product rate plans in the response. Endpoint: GET /v1/catalog/products/{product-key} Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Path parameters: - `product-key` (string, required) The unique ID, SKU, or product number of the product that you want to retrieve. For example, 8a808255575bdae4015774e9602e16fe, SKU-00000987, or PC-00000006. ## Response 200 fields (application/json): - `category` (string) Category of the product. Used by Zuora Quotes Guided Product Selector. Possible values are: - Base Products - Add On Services - Miscellaneous Products - `description` (string) Optional product description. - `effectiveEndDate` (string) The date when the product expires and cannot be subscribed to anymore, as yyyy-mm-dd. - `effectiveStartDate` (string) The date when the product becomes available and can be subscribed to, as yyyy-mm-dd. - `id` (string) Product ID. - `name` (string) Product name, up to 100 characters. - `organizationLabels` (array) The organization(s) that the object belongs to. Note: This field is available only when the Multi-Org feature is enabled. - `organizationLabels.organizationId` (string) The organization ID. - `organizationLabels.organizationName` (string) The organization name. - `productFeatures` (array) Container for one or more product features. Only available when the following settings are enabled: - The Entitlements feature in your tenant - The Enable Feature Specification in Product and Subscriptions setting in Settings > Billing - `productFeatures.code` (string) Feature code, up to 255 characters long. - `productFeatures.description` (string) Feature description. - `productFeatures.id` (string) Feature ID. - `productFeatures.name` (string) Feature name, up to 255 characters long. - `productFeatures.status` (string) - `productNumber` (string) The natural key of the product. - `productRatePlans` (string) URL to retrieve information about all product rate plans of a specific product. For example, /v1/rateplan/40289f466463d683016463ef8b7301a0/productRatePlan. Note: The value of this field is a URL only if you are on the latest API version of the Zuora API or set the Zuora-Version request header to 230.0 or [a later available version](https://developer.zuora.com/v1-api-reference/api-versions/#minor-version). Zuora recommends that you use the latest behavior to retrieve product information. If you set this header to 229.0 or earlier, the value of this field is an array of product rate plan details. - `sku` (string) Unique product SKU, up to 50 characters. - `tags` (string) - `IntegrationId__NS` (string) ID of the corresponding object in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `IntegrationStatus__NS` (string) Status of the product's synchronization with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `ItemType__NS` (string) Type of item that is created in NetSuite for the product. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). Enum: "Inventory", "Non Inventory", "Service" - `SyncDate__NS` (string) Date when the product was synchronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.